summaryrefslogtreecommitdiff
path: root/package/busybox/files/inetd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/busybox/files/inetd.init')
-rw-r--r--package/busybox/files/inetd.init27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/busybox/files/inetd.init b/package/busybox/files/inetd.init
new file mode 100644
index 000000000..ad0527e6a
--- /dev/null
+++ b/package/busybox/files/inetd.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#FWINIT 41
+. /etc/rc.conf
+case $1 in
+autostart)
+ test x"$inetd" = x"NO" && exit 0
+ test -e /etc/inetd.conf || exit 0
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/inetd
+ ;;
+autostop)
+ ;;
+stop)
+ killall inetd
+ ;;
+restart)
+ sh $0 stop
+ exec sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?